package com.zcloud.service.eightwork;

import com.zcloud.entity.Page;
import com.zcloud.entity.PageData;
import com.zcloud.util.ReturnMap;

import java.util.List;

/**
 * @author fangjiakai
 * @date 2024/01/19 14:34
 */
public interface EightWorkService {
    public List<PageData> getTaskSetps(PageData pd);
    PageData checkWork(PageData pd);

    ReturnMap getEightWorks()throws Exception;

    List<PageData> list(PageData pd)throws Exception;

    List<PageData> listAllForDiagnosis(PageData pd)throws Exception;

    List<PageData> getEightWorksByType(PageData pageData);
}
